Bug 465461 - Using qcow output format does not work consistently
Using qcow output format does not work consistently
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: appliance-tools (Show other bugs)
9
All Linux
medium Severity medium
: ---
: ---
Assigned To: David Huff
Fedora Extras Quality Assurance
:
Depends On: 465846
Blocks:
  Show dependency treegraph
 
Reported: 2008-10-03 09:30 EDT by Perry Myers
Modified: 2009-07-14 12:56 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 12:56:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Kickstart used to reproduce problem (1.14 KB, application/octet-stream)
2008-10-03 09:30 EDT, Perry Myers
no flags Details

  None (edit)
Description Perry Myers 2008-10-03 09:30:25 EDT
Created attachment 319361 [details]
Kickstart used to reproduce problem

Description of problem:
When running appliance-tools you can specify the output format of the disk image.  By default the image is raw.  If I try -f qcow the qemu-img process inside appliance-tools fails.  qcow2 seems to work fine.

Version-Release number of selected component (if applicable):
appliance-tools-002-3.fc9.noarch

How reproducible:
Most of the time.  It seems to depend on the disk size used in the supplied kickstart.  I've been able to get qcow output format to succeed with the following disk layout:
part /boot  --ondisk=sda --fstype=ext3 --size=100
part /      --ondisk=sda --fstype=ext3 --size=10000
part swap   --ondisk=sda --fstype=swap --size=512

But if I toggle the size of / to be anything other than 10000 the qemu-img process fails.

Steps to Reproduce:
1. Download the attached sample.ks kickstart
2. appliance-creator --config sample.ks --name sample -f qcow -d -v
3. 
  
Actual results:
The installation will succeed, but after install when qemu-img is used to convert the disk image from raw to qcow the qemu-img command will fail.

Expected results:
qemu-img should succeed

Additional info:
See attachment for kickstart I used to reproduce this problem.
Comment 1 Perry Myers 2008-10-03 09:31:52 EDT
The following is an example of the error message that is output by the appliance-creator when this fails.

writing image XML to /var/tmp/imgcreate-223Oxs/tmp-N65fLE/foo.xml
converting /var/tmp/imgcreate-223Oxs/tmp-N65fLE/foo-sda.raw image to /var/tmp/imgcreate-223Oxs/tmp-N65fLE/foo-sda.qcow
qemu-img: Could not open '/var/tmp/imgcreate-223Oxs/tmp-N65fLE/foo-sda.qcow'
Unable to convert disk format to qcow, using raw disk image
moving disks to final location
moving /var/tmp/imgcreate-223Oxs/tmp-N65fLE/foo.xml to /var/tmp/imgcreate-223Oxs/out
moving /var/tmp/imgcreate-223Oxs/tmp-N65fLE/foo-sda.raw to /var/tmp/imgcreate-223Oxs/out
moving /var/tmp/imgcreate-223Oxs/tmp-N65fLE/foo-sda.qcow to /var/tmp/imgcreate-223Oxs/out
done
Comment 2 David Huff 2008-10-06 11:33:42 EDT
I did some testing on this issue this morning below are some of my notes... 

running with included kickstart file and format set to qcow does reproduce the problem.

running with qcow2 it does not, image creation succeeds. =>  sample-sda.qcow2 519M

running with format set to raw then succeeds and then manually converting the image with qemu-image, also fails:

sample2-sda.raw 2.6G.

# sudo qemu-img convert -f raw sample2-sda.raw -O qcow sample2-sda.qcow
qemu-img: Could not open 'sample2-sda.qcow'

I think it may be a size limitation to qemu-img
Comment 3 David Huff 2008-10-06 13:35:09 EDT
looks to be a bug with qemu-img.  I have filed a bug on qemu-img 465846
Comment 4 Bug Zapper 2009-06-09 22:52:51 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2009-07-14 12:56:02 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.